aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2018-09-10 22:50:35 +0200
committerGilles Dartiguelongue <eva@gentoo.org>2018-09-10 23:07:59 +0200
commit9e916ea1671f9a4476c38eabb5e219e3b596e06e (patch)
tree7e2f6af166f5bbb1f6b8fea06bf5b5036d35bc24
parentdev-python/pyatspi: 2.24.0 → 2.26.0 (diff)
downloadgnome-9e916ea1671f9a4476c38eabb5e219e3b596e06e.tar.gz
gnome-9e916ea1671f9a4476c38eabb5e219e3b596e06e.tar.bz2
gnome-9e916ea1671f9a4476c38eabb5e219e3b596e06e.zip
net-libs/libsoup: 2.58.2 → 2.60.3
Package-Manager: Portage-2.3.49, Repoman-2.3.10 Manifest-Sign-Key: 0x5A56C8CD0C13248A
-rw-r--r--net-libs/libsoup/Manifest23
-rw-r--r--net-libs/libsoup/files/libsoup-2.58.2-sparc-unaligned.patch28
-rw-r--r--net-libs/libsoup/libsoup-2.60.3.ebuild97
-rw-r--r--net-libs/libsoup/libsoup-9999.ebuild33
-rw-r--r--net-libs/libsoup/metadata.xml1
5 files changed, 171 insertions, 11 deletions
diff --git a/net-libs/libsoup/Manifest b/net-libs/libsoup/Manifest
new file mode 100644
index 00000000..ee5bc359
--- /dev/null
+++ b/net-libs/libsoup/Manifest
@@ -0,0 +1,23 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+DIST libsoup-2.60.3.tar.xz 1838640 BLAKE2B f398f1ba8c37149b46049b674af35915bab3257730d64683acf4a5ad7178818d6367d8378c0b54b163ce774dbf5077883e2cf2055ef5ccbfff775123b3cfa161 SHA512 56d03702643c8b37ed2ec23a0c7517b7d2d06d4cc01f374a8f1c6a03a95d5413522f430827c8daa30a6338fff11013e303fd12c927ca21c84f0d52a44e3525a8
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2
+
+iQKTBAEBCAB9FiEEX+aBqe7MmoWBwzA1lSmjXZiBxnkFAluW2RNfFIAAAAAALgAo
+aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDVG
+RTY4MUE5RUVDQzlBODU4MUMzMzAzNTk1MjlBMzVEOTg4MUM2NzkACgkQlSmjXZiB
+xnkQsQ/+Mqu6+pU3HkDO5aUWCPm3zhOa3/bUmrRFA9UzNj7MGzePzLLNPj6VwSNP
+P2li/ABvLlPN0HAtDovKDBXy6ypE77jemJyBgRMToQ/ynCsXO9qsHjgP0xlTu5Dj
+f/au3tfbip1vAIcRqloMWp7IwcwG5Z+aIAhZimF1Xy6yrNtqcFOg8zrBAlMipVZE
+3iMfTe4ziwhn47R37NgKRulOW0r/GdhI4u/gFOwXH1YNtXQzoYhJ1pgEWGz/DVpM
+jz6nVXMfPBkVj1SOwSc3ittOVa+YZpZ6E/IdDG5vILTmXBJBhwzlfN/1Col9JdUh
+fGiEjff1/A+KFLAILqcUjIxgwLysaExCoXFXXjF0NCgn/jKMWCwsV7YIpReic7U/
+4d1p+yxpbxR7ThIXly/m3Zx4JNB1L/MuVNvAtcI1gc6wh8ck/5uINwhIeiDuBxYx
+W5MzNCYQMfK7KUlvr7wyXzaeScumsJIktvvMeVYhtiAYtGJmfpeBvGcQ0K0dZ+Nw
+91SmBazSueeHJxUFz0huI42GKtW1YwI+JKymgF0h8Hqf815L37mmDYI+reYAppmA
+n8nXh060GZOQe+asADOGlEJY6XOnIxQ+OsRQb74jv62Vzd9FF0HhFjKfvEfq47ej
+DdAr3GsidVnC3Ac1bG74t4hTMZqiagZaH9bN2AzcOAaMffRBbxM=
+=UfOo
+-----END PGP SIGNATURE-----
diff --git a/net-libs/libsoup/files/libsoup-2.58.2-sparc-unaligned.patch b/net-libs/libsoup/files/libsoup-2.58.2-sparc-unaligned.patch
new file mode 100644
index 00000000..d09d52c2
--- /dev/null
+++ b/net-libs/libsoup/files/libsoup-2.58.2-sparc-unaligned.patch
@@ -0,0 +1,28 @@
+From c2aaac0083f58d285b8feb24f13fe347d7f726fe Mon Sep 17 00:00:00 2001
+From: Rolf Eike Beer <eike@sf-mail.de>
+Date: Sat, 17 Mar 2018 10:28:00 +0000
+Subject: [PATCH] WebSockets: Avoid unaligned memory access
+
+This is causing test failures in SPARC architectures.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=794421
+---
+ libsoup/soup-websocket-connection.c | 3 ++-
+ 1 file changed, 2 insertions(+), 1 deletion(-)
+
+diff --git a/libsoup/soup-websocket-connection.c b/libsoup/soup-websocket-connection.c
+index 0258a22c..35eee6a6 100644
+--- a/libsoup/soup-websocket-connection.c
++++ b/libsoup/soup-websocket-connection.c
+@@ -401,9 +401,10 @@ send_message (SoupWebsocketConnection *self,
+ * probably a client somewhere that's not expecting it.
+ */
+ if (self->pv->connection_type == SOUP_WEBSOCKET_CONNECTION_CLIENT) {
++ guint32 rnd = g_random_int ();
+ outer[1] |= 0x80;
+ mask = outer + bytes->len;
+- * ((guint32 *)mask) = g_random_int ();
++ memcpy (mask, &rnd, sizeof (rnd));
+ bytes->len += 4;
+ }
+
diff --git a/net-libs/libsoup/libsoup-2.60.3.ebuild b/net-libs/libsoup/libsoup-2.60.3.ebuild
new file mode 100644
index 00000000..3b86d848
--- /dev/null
+++ b/net-libs/libsoup/libsoup-2.60.3.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5,3_6} )
+VALA_USE_DEPEND="vapigen"
+
+inherit gnome2 multilib-minimal python-any-r1 vala
+
+DESCRIPTION="An HTTP library implementation in C"
+HOMEPAGE="https://wiki.gnome.org/Projects/libsoup"
+
+LICENSE="LGPL-2+"
+SLOT="2.4"
+
+IUSE="debug gssapi +introspection samba ssl test vala"
+REQUIRED_USE="vala? ( introspection )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+ >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
+ >=dev-db/sqlite-3.8.2:3[${MULTILIB_USEDEP}]
+ >=net-libs/glib-networking-2.38.2[ssl?,${MULTILIB_USEDEP}]
+ gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
+ samba? ( net-fs/samba )
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ >=dev-util/intltool-0.35
+ >=dev-util/gtk-doc-am-1.20
+ sys-devel/gettext
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+ test? ( >=dev-libs/glib-2.40:2[${MULTILIB_USEDEP}] )
+ vala? ( $(vala_depend) )
+"
+# test? ( www-servers/apache[ssl,apache2_modules_auth_digest,apache2_modules_alias,apache2_modules_auth_basic,
+# apache2_modules_authn_file,apache2_modules_authz_host,apache2_modules_authz_user,apache2_modules_dir,
+# apache2_modules_mime,apache2_modules_proxy,apache2_modules_proxy_http,apache2_modules_proxy_connect]
+# dev-lang/php[apache2,xmlrpc]
+# net-misc/curl
+# net-libs/glib-networking[ssl])"
+
+PATCHES=(
+ # https://bugs.gentoo.org/630516
+ "${FILESDIR}/${PN}-2.58.2-sparc-unaligned.patch"
+)
+
+src_prepare() {
+ if ! use test; then
+ # don't waste time building tests (bug #226271)
+ sed 's/^\(SUBDIRS =.*\)tests\(.*\)$/\1\2/' -i Makefile.am Makefile.in \
+ || die "sed failed"
+ fi
+
+ # FIXME: workaround upstream not respecting --without-apache-httpd
+ sed -e '/check: start-httpd/d' \
+ -i tests/Makefile.am tests/Makefile.in || die
+
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # FIXME: we need addpredict to workaround bug #324779 until
+ # root cause (bug #249496) is solved
+ addpredict /usr/share/snmp/mibs/.index
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ # Disable apache tests until they are usable on Gentoo, bug #326957
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-static \
+ --disable-tls-check \
+ --without-gnome \
+ --without-apache-httpd \
+ $(usex debug --enable-debug=yes ' ') \
+ $(multilib_native_use_with gssapi) \
+ $(multilib_native_use_enable introspection) \
+ $(multilib_native_use_enable vala) \
+ $(use_with samba ntlm-auth '${EPREFIX}'/usr/bin/ntlm_auth)
+
+ if multilib_is_native_abi; then
+ # fix gtk-doc
+ ln -s "${S}"/docs/reference/html docs/reference/html || die
+ fi
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
diff --git a/net-libs/libsoup/libsoup-9999.ebuild b/net-libs/libsoup/libsoup-9999.ebuild
index 36ee31ff..a36a0109 100644
--- a/net-libs/libsoup/libsoup-9999.ebuild
+++ b/net-libs/libsoup/libsoup-9999.ebuild
@@ -1,28 +1,29 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Id$
-EAPI="5"
-GCONF_DEBUG="yes"
+EAPI=6
GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5,3_6} )
+VALA_USE_DEPEND="vapigen"
-inherit gnome2 multilib-minimal python-any-r1
+inherit gnome2 multilib-minimal python-any-r1 vala
if [[ ${PV} = 9999 ]]; then
inherit gnome2-live
fi
DESCRIPTION="An HTTP library implementation in C"
-HOMEPAGE="https://wiki.gnome.org/LibSoup"
+HOMEPAGE="https://wiki.gnome.org/Projects/libsoup"
LICENSE="LGPL-2+"
SLOT="2.4"
-IUSE="debug +introspection samba ssl test"
+IUSE="debug gssapi +introspection samba ssl test vala"
+REQUIRED_USE="vala? ( introspection )"
+
if [[ ${PV} = 9999 ]]; then
KEYWORDS=""
IUSE="${IUSE} doc"
else
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
fi
RDEPEND="
@@ -30,16 +31,18 @@ RDEPEND="
>=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
>=dev-db/sqlite-3.8.2:3[${MULTILIB_USEDEP}]
>=net-libs/glib-networking-2.38.2[ssl?,${MULTILIB_USEDEP}]
- introspection? ( >=dev-libs/gobject-introspection-0.9.5 )
+ gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
samba? ( net-fs/samba )
"
DEPEND="${RDEPEND}
${PYTHON_DEPS}
>=dev-util/intltool-0.35
- >=dev-util/gtk-doc-am-1.10
+ >=dev-util/gtk-doc-am-1.20
sys-devel/gettext
>=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
test? ( >=dev-libs/glib-2.40:2[${MULTILIB_USEDEP}] )
+ vala? ( $(vala_depend) )
"
if [[ ${PV} = 9999 ]]; then
@@ -71,6 +74,11 @@ src_prepare() {
|| die "sed failed"
fi
+ # FIXME: workaround upstream not respecting --without-apache-httpd
+ sed -e '/check: start-httpd/d' \
+ -i tests/Makefile.am tests/Makefile.in || die
+
+ vala_src_prepare
gnome2_src_prepare
}
@@ -90,7 +98,10 @@ multilib_src_configure() {
--disable-tls-check \
--without-gnome \
--without-apache-httpd \
+ $(usex debug --enable-debug=yes ' ') \
+ $(multilib_native_use_with gssapi) \
$(multilib_native_use_enable introspection) \
+ $(multilib_native_use_enable vala) \
$(use_with samba ntlm-auth '${EPREFIX}'/usr/bin/ntlm_auth)
if multilib_is_native_abi; then
diff --git a/net-libs/libsoup/metadata.xml b/net-libs/libsoup/metadata.xml
index a4047eef..b01383c3 100644
--- a/net-libs/libsoup/metadata.xml
+++ b/net-libs/libsoup/metadata.xml
@@ -6,6 +6,7 @@
<name>Gentoo GNOME Desktop</name>
</maintainer>
<use>
+ <flag name="gssapi">Enable GSSAPI support</flag>
<flag name="samba">Use <pkg>net-fs/samba</pkg> for NTLM Single
Sign-On</flag>
</use>